Package org.apache.catalina.core

## Class AsyncListenerWrapper

- java.lang.Object
- - org.apache.catalina.core.AsyncListenerWrapper

    public class AsyncListenerWrapper
    extends Object

### Constructor Summary

Constructors
`AsyncListenerWrapper()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `fireOnComplete​(AsyncEvent event)`
`void` `fireOnError​(AsyncEvent event)`
`void` `fireOnStartAsync​(AsyncEvent event)`
`void` `fireOnTimeout​(AsyncEvent event)`
`AsyncListener` `getListener()`
`void` `setListener​(AsyncListener listener)`
`void` `setServletRequest​(ServletRequest servletRequest)`
`void` `setServletResponse​(ServletResponse servletResponse)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AsyncListenerWrapper

    public AsyncListenerWrapper()

### Method Detail

#### fireOnStartAsync

    public void fireOnStartAsync​(AsyncEvent event)
                          throws IOException

Throws:
  `IOException`

#### fireOnComplete

    public void fireOnComplete​(AsyncEvent event)
                        throws IOException

Throws:
  `IOException`

#### fireOnTimeout

    public void fireOnTimeout​(AsyncEvent event)
                       throws IOException

Throws:
  `IOException`

#### fireOnError

    public void fireOnError​(AsyncEvent event)
                     throws IOException

Throws:
  `IOException`

#### getListener

    public AsyncListener getListener()

#### setListener

    public void setListener​(AsyncListener listener)

#### setServletRequest

    public void setServletRequest​(ServletRequest servletRequest)

#### setServletResponse

    public void setServletResponse​(ServletResponse servletResponse)